package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.Dbl;
import com.brilliance.isc.bo.Trn;
import com.brilliance.isc.bo.bopdecbo.Bopcou;
import com.brilliance.isc.bo.bopdecbo.Boperr;
import com.brilliance.isc.bo.bopdecbo.Bopsig;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Ctlmod extends AbstractCommonVo {
    //交易类型
    private String dectyp;
    //收付汇日期
    private Date paydat;

    private Bopsig bopsig;
    private Bopcou bopcou;
    private Dbl dbl;
    private Dbl wrkdbl;
    private Trn wrktrn;
    private Boperr err;
    private Bopbchsel bopbchsel;
    @Override
    public void reset() {
        if(bopsig == null){
            bopsig = new Bopsig();
        }
        if(bopcou == null){
            bopcou = new Bopcou();
        }
        if(dbl == null){
            dbl = new Dbl();
        }
        if(wrkdbl == null){
            wrkdbl = new Dbl();
        }
        if(wrktrn == null){
            wrktrn = new Trn();
        }
        if(err == null){
            err = new Boperr();
        }
        if(bopbchsel == null){
            bopbchsel = new Bopbchsel();
        }
    }
}
